/*
** cursor.c
**
** An intensity map holding a mouse cursor resource
*/

/*
** 00 00 00 77 00 00 00
** 00 00 00 FF 00 00 00
** 00 00 77 55 77 00 00
** 77 FF 55 00 55 FF 77
** 00 00 77 55 77 00 00
** 00 00 00 FF 00 00 00
** 00 00 00 77 00 00 00
*/

#if !defined (CURSOR_H)
#define CURSOR_H

#include "baseinc.h"


#define CURSOR_WIDTH  9
#define CURSOR_HEIGHT 9
#define CURSOR_HX 4
#define CURSOR_HY 4

extern byte cursor[];

/*cursorbk may be used anywhere to save & restore the background of the cursor*/
extern tImage cursorbk;

#endif
