/*
** cvstr.h
**
** Converts numeric input to string representation
*/


#if !defined(CVSTR_H)
#define CVSTR_H

#include "baseinc.h"


#define CVSTR_FIXED     0x0100
#define CVSTR_SIGNED    0x0200
#define CVSTR_POSITIVE (0x0400 | CVSTR_SIGNED)
#define CVSTR_HEX       0x0800
#define CVSTR_LCASE     0x1000



/*int CvStr(unsigned int in, int of, char* op)
**
** Converts input to string, placed at op, using format specified
** in of. Format:
**  With 0-11 the maximal length of the output can be given
**  CVSTR_FIXED can be used for fixed output size (pad with zeros)
**  CVSTR_SIGNED is to treat input as signed
**  CVSTR_POSITIVE turns on CVSTR_SIGNED and displays the '+' sign
**  CVSTR_HEX creates hexadecimal output
**  CVSTR_LCASE causes hex output to be lower case
** op has to be capable to hold the output.
** Returns the number of characters written (needed when the output
** size is not fixed
*/
adint CvStr(adint in, adint of, byte* op);

#endif
