/*
** kyeolist.h
**
** Function lists to use with the updater
** Propety list of objects
*/


#if !defined (KYEOLIST_H)
#define KYEOLIST_H

#include "baseinc.h"
#include "kyeobjs.h"


/*Note: "Produced" objects have to follow their "producer": a simplification
**in the engine (Sliders, rockyes)*/


void (*kye_maplist[8]) (sadint,sadint,sadint,sadint,tImage*)={
 NULL,
 Kye_O_Wall,
 Kye_O_Door,
 Kye_O_Door,
 NULL,
 NULL,
 NULL,
 NULL
};

#define KYE_OBJLISTN 16
void (*kye_objlist[KYE_OBJLISTN]) (sadint,sadint,sadint,sadint,tImage*)={
 Kye_O_Kye,
 Kye_O_Block,
 Kye_O_RBlock,
 Kye_O_Clocker,
 Kye_O_ASlider,
 Kye_O_Slider,
 Kye_O_ARocky,
 Kye_O_Rocky,
 Kye_O_Mover,
 Kye_O_Diamond,
 Kye_O_EBlock,
 Kye_O_ERBlock,
 Kye_O_TBlock,
 Kye_O_Magnet,
 Kye_O_Black,
 Kye_O_Virus
};

/*Object propeties: first (low): shape byte, second (high): propeties byte*/
word kye_objlistp[KYE_OBJLISTN]={
 0x520F,
 0x6000,
 0x601F,
 0x6000,
 0xC01F,
 0x6200,
 0xA01F,
 0x621F,
 0x7103,
 0x001F,
 0x0000,
 0x001F,
 0x6000,
 0x6000,
 0xE000,
 0x650F
};

#endif
