/*
** levelrdc.c
**
** Kye level resource decoder: actually a simple PCX decoder for 7bit ASCII
** text where 8th bit is always unused
**
** Format:
**  0-127: ASCII letter
**  128-255: Repeat following:
**   7th bit is 1
**   6-5 bit: sequence length: 1-4 (characters)
**   4-0 bit: repeat count: 1-32 (repeats)
*/


#if !defined(LEVELRDC_H)
#define LEVELRDC_H

#include "baseinc.h"



/*ASCII7_Start
**Getting a buffer and it's length this sets up the decoder to decode.
**(Starting decoding without buffer will return 0xFF)*/
void ASCII7_Start(byte* buf, adint len);

/*ASCII7_Getch
**Gets one character (0-127) from the buffer, or 0xFF (255) on EOF
*/
byte ASCII7_Getch();


#endif
