/*
** ppcdec.c
**
** Simple PPC display module (From the Panthera engine)
*/


#if !defined(PPCDEC_H)
#define PPCDEC_H

#include "baseinc.h"



/*Displays a PPC-PCX on the surface
**ppc is the raw PPC data to process
**sy is it's y size
**pal is the ARGB palette to use on it
**x and y is the position where it should be placed
**dest is the destination surface
**
**Note that it does not check anything, so the PPC data must be valid, and fit
**on the dest. surface
*/

void PPC_Disp(byte* ppc, adint sy, dword* pal, adint x, adint y, tImage* dest);

#endif
