/*
** levelres.c
**
** The game's level resources (some kye levels)
*/


#include "baseinc.h"
#include "levelres.h"


byte kye_level_default[KYE_LEVEL_DEFAULT_L]={
/*default.kye data begins*/

 '1',  '5',  '\n',
 'F',  'I',  'R',  'S',  'T',  '\n',
 'J',  'u',  's',  't',  ' ',  'f',  'o',  'r',  ' ',  'p',  'r',  'a',  'c',  't',  'i',  'c',  'e',  '\n',
 'T',  'h',  'e',  ' ',  'f',  'i',  'r',  's',  't',  ' ',  'l',  'e',  'v',  'e',  'l',  ' ',  'w',  'a',  's',  ' ',  'f',  'o',  'r',  ' ',  'p',  'r',  'a',  'c',  't',  'i',  'c',  'e',  '.',  '\n',
 0x9D, '5',  '\n',
 '5',  'T',  0x82, ' ',  'e',  0x86, ' ',  'K',  '*',  0x81, ' ',  'a',  0x83, ' ',  'd',  ' ',  'e',  0x82, ' ',  'E',  '5',  '\n',
 '5',  0x83, ' ',  'b',  ' ',  '4',  0x83, '5',  '6',  0x87, ' ',  'a',  0x81, ' ',  'b',  0x83, ' ',  '5',  '\n',
 '5',  0x83, ' ',  'b',  ' ',  'd',  0x83, 'v',  'd',  0x8A, ' ',  'b',  0x83, ' ',  '5',  '\n',
 '5',  0x83, ' ',  'b',  ' ',  'd',  0x83, 'v',  'd',  0x89, ' ',  'a',  'b',  0x83, ' ',  '5',  '\n',
 '5',  'e',  0x82, 'b',  'e',  ' ',  0x81, 'e',  0x81, 'B',  0x81, 'e',  0x86, ' ',  'c',  0x82, ' ',  'e',  0x82, 'b',  'e',  '5',  '\n',
 '5',  0x8E, ' ',  'a',  0x8B, ' ',  '5',  '\n',
 '5',  ' ',  '8',  0x81, 'r',  'e',  0x8F, ' ',  'a',  ' ',  'e',  0x81, 'l',  '8',  ' ',  '5',  '\n',
 '5',  ' ',  '5',  0x81, '>',  'e',  0x85, ' ',  's',  0x81, ' ',  'S',  0x87, ' ',  'e',  0x81, '<',  '5',  ' ',  '5',  '\n',
 '5',  ' ',  '5',  0x81, '>',  'B',  0x91, ' ',  'B',  0x81, '<',  '5',  ' ',  '5',  '\n',
 '5',  ' ',  '5',  0x81, '>',  'B',  0x8E, ' ',  'b',  0x81, ' ',  'B',  0x81, '<',  '5',  ' ',  '5',  '\n',
 '5',  ' ',  '5',  0x81, '>',  'e',  0x85, ' ',  'S',  0x81, ' ',  's',  0x84, ' ',  'U',  0x81, ' ',  'e',  0x81, '<',  '5',  ' ',  '5',  '\n',
 '5',  ' ',  '2',  0x81, 'r',  'e',  0x8E, ' ',  'b',  0x81, ' ',  'e',  0x81, 'l',  '2',  ' ',  '5',  '\n',
 '5',  0x90, ' ',  'b',  'R',  0x81, 'b',  0x86, ' ',  '5',  '\n',
 '5',  'e',  0x82, 'b',  'e',  ' ',  0x85, 'e',  0x81, ' ',  '7',  0x84, '5',  '9',  0x81, ' ',  'e',  0x82, 'b',  'e',  '5',  '\n',
 '5',  0x83, ' ',  'b',  ' ',  'u',  0x83, '^',  'u',  0x81, ' ',  '5',  0x84, ' ',  '5',  0x81, ' ',  'b',  0x83, ' ',  '5',  '\n',
 '5',  0x83, ' ',  'b',  ' ',  'u',  0x83, '^',  'u',  0x81, ' ',  '5',  0x84, ' ',  '5',  0x81, ' ',  'b',  0x83, ' ',  '5',  '\n',
 '5',  0x83, ' ',  'b',  ' ',  '4',  0x83, '5',  '6',  0x81, ' ',  '5',  0x84, ' ',  '5',  0x81, ' ',  'b',  0x83, ' ',  '5',  '\n',
 '5',  'C',  0x82, ' ',  'e',  0x88, ' ',  'e',  0x81, ' ',  '[',  0xC1, ' ',  ' ',  'e',  0x82, ' ',  '~',  '5',  '\n',
 0x9D, '5',  '\n',
 'S',  'E',  'C',  'O',  'N',  'D',  '\n',
 'U',  's',  'e',  ' ',  't',  'h',  'e',  ' ',  's',  't',  'i',  'c',  'k',  'y',  ' ',  'b',  'l',  'o',  'c',  'k',  '\n',
 'O',  'K',  ',',  ' ',  't',  'h',  'a',  't',  '\'', 's',  ' ',  'g',  'o',  't',  ' ',  't',  'h',  'e',  ' ',  'e',  'a',  's',  'y',  ' ',  'o',  'n',  'e',  ' ',  'o',  'u',  't',  ' ',  'o',  'f',  ' ',  't',  'h',  'e',  ' ',  'w',  'a',  'y',  '.',  '\n',
 0x9D, '5',  '\n',
 '5',  '*',  0x83, '>',  0xE1, 'e',  ' ',  ' ',  ' ',  0x85, ' ',  'e',  0x86, ' ',  'K',  '5',  '\n',
 '5',  0x84, '>',  'e',  0x82, ' ',  '5',  0x88, ' ',  '5',  0x87, ' ',  '5',  '\n',
 0x85, '5',  '9',  0x82, ' ',  '5',  '9',  0x86, ' ',  '7',  '5',  0x87, ' ',  '5',  '\n',
 '5',  0x84, ' ',  '5',  0x82, ' ',  0x81, '5',  '9',  0x84, ' ',  '7',  0x82, '5',  ' ',  '7',  '9',  0x83, ' ',  '5',  '\n',
 '5',  0x84, ' ',  '5',  0x82, ' ',  '5',  ' ',  '5',  '9',  0x82, ' ',  '7',  '5',  ' ',  0x81, '5',  0x81, ' ',  '5',  0x83, ' ',  '5',  '\n',
 '5',  0x84, ' ',  '1',  0x82, ' ',  '5',  0x81, ' ',  '5',  '6',  'e',  '4',  0xE1, '5',  ' ',  ' ',  '5',  0x83, ' ',  '5',  '\n',
 '5',  '*',  0x84, ' ',  '1',  0x81, ' ',  '5',  ' ',  '5',  '3',  0x82, '^',  '1',  '5',  ' ',  0x81, '5',  0x81, ' ',  '5',  0x83, ' ',  '5',  '\n',
 '5',  'e',  0x82, '5',  '9',  0x81, ' ',  '1',  ' ',  0x81, '5',  '3',  0x84, '^',  '1',  0x82, '5',  0x81, ' ',  '5',  0x83, ' ',  '5',  '\n',
 '5',  '*',  0x82, 'v',  ' ',  '9',  0x81, ' ',  '1',  '5',  '3',  0x86, '^',  '1',  0x81, '5',  0x81, ' ',  '5',  0x83, ' ',  '5',  '\n',
 '5',  0x84, 'v',  '5',  '9',  0x81, ' ',  '1',  0x89, ' ',  0xC1, '5',  ' ',  ' ',  0x81, ' ',  '5',  '\n',
 '5',  0x83, 'v',  '7',  0x81, '5',  '9',  0x81, ' ',  '1',  0x87, ' ',  '*',  '5',  's',  ' ',  '5',  0x83, ' ',  '5',  '\n',
 '5',  0x82, 'v',  '7',  0x83, '5',  '9',  0x81, ' ',  '1',  0x8B, '5',  0x83, ' ',  '5',  '\n',
 '5',  0x81, 'v',  '4',  '5',  0x82, ' ',  0x81, '5',  '9',  0x82, ' ',  '3',  0x85, '<',  0x81, ' ',  '*',  '5',  0x83, ' ',  '5',  '\n',
 '5',  0x82, 'e',  '1',  '5',  0x82, ' ',  0x81, '5',  '9',  ' ',  'b',  0x86, '<',  0x82, ' ',  '5',  0x83, ' ',  '5',  '\n',
 '5',  0x83, ' ',  '1',  '5',  0x82, 'e',  0x81, '5',  '9',  'e',  '9',  0x85, '<',  0x81, ' ',  '*',  '5',  0x82, ' ',  '7',  '5',  '\n',
 '5',  0x84, ' ',  'e',  0x81, '^',  'e',  0x84, ' ',  0x89, '5',  0x81, 'v',  '7',  0x81, '5',  '\n',
 '5',  0x84, ' ',  'e',  0x81, '^',  'e',  0x8D, ' ',  '5',  'v',  '4',  '5',  'e',  '5',  '\n',
 '5',  0x84, ' ',  'e',  '*',  '^',  'e',  0x8D, ' ',  0x83, 'e',  '*',  '5',  '\n',
 0x9D, '5',  '\n',
 'S',  'L',  'I',  'D',  'E',  'R',  '\n',
 'S',  'y',  'n',  'c',  'h',  'r',  'o',  'n',  'i',  'z',  'a',  't',  'i',  'o',  'n',  '\n',
 'W',  'e',  0x81, 'l',  ' ',  'd',  'o',  'n',  'e',  ',',  ' ',  't',  'h',  'a',  't',  ' ',  'o',  'n',  'e',  ' ',  'w',  'a',  's',  ' ',  'a',  ' ',  'b',  'i',  't',  ' ',  'h',  'a',  'r',  'd',  'e',  'r',  '.',  '\n',
 0x9D, '5',  '\n',
 '5',  '*',  0x85, 'v',  '5',  0x81, ' ',  'r',  'e',  0x81, ' ',  '5',  0x82, ' ',  'e',  ' ',  'K',  ' ',  '5',  ' ',  'b',  0x81, ' ',  '*',  '5',  '\n',
 '5',  '9',  0x84, 'v',  '7',  '3',  0x81, ' ',  'r',  'e',  0x81, ' ',  '5',  '6',  0x81, ' ',  '5',  0x82, ' ',  '5',  'b',  0x81, ' ',  0x81, 'b',  '5',  '\n',
 0x81, '5',  '9',  0x82, 'v',  '7',  '3',  0x82, ' ',  'r',  'e',  0xE1, ' ',  ' ',  '5',  ' ',  '7',  0x81, '5',  0x81, ' ',  'b',  0x81, ' ',  '5',  '\n',
 '5',  ' ',  '5',  '9',  'v',  '7',  '3',  0x83, ' ',  'r',  'e',  0x81, ' ',  '5',  'e',  '4',  0x81, '5',  0xA1, ' ',  '5',  ' ',  0x81, 'b',  0x81, ' ',  '5',  '\n',
 '5',  0x81, ' ',  '2',  'v',  '2',  0x84, ' ',  'r',  'e',  0x81, ' ',  '5',  0x82, '^',  0xA1, '5',  ' ',  '5',  'b',  0x83, ' ',  '5',  '\n',
 '5',  0x81, ' ',  'R',  'v',  'e',  0x81, ' ',  '8',  0x81, ' ',  'r',  'e',  0x81, ' ',  '5',  '6',  0x81, ' ',  0xA1, '5',  ' ',  0x82, '5',  ' ',  0x82, '5',  '\n',
 0x84, '5',  '9',  'e',  '1',  0x81, '5',  '9',  'r',  'e',  0xE1, ' ',  ' ',  '5',  ' ',  '5',  0x81, ' ',  'e',  0x83, ' ',  '5',  '\n',
 0xA1, '5',  ' ',  'L',  0x84, ' ',  '5',  'r',  'e',  0x81, ' ',  '5',  'e',  '4',  0x81, '5',  0xA2, ' ',  '5',  0x82, ' ',  '5',  '\n',
 '5',  ' ',  0x84, '5',  '9',  'e',  '1',  0x82, '5',  '9',  ' ',  '5',  0x82, '^',  0xA2, '5',  ' ',  0x84, '5',  '\n',
 0xC1, '5',  ' ',  ' ',  0x84, 'e',  0x81, ' ',  '5',  ' ',  '5',  '6',  0x81, ' ',  0xA2, '5',  ' ',  'u',  'L',  0x81, ' ',  '5',  '\n',
 0xC1, '5',  ' ',  ' ',  0x81, ' ',  '8',  0x83, ' ',  0xA1, '5',  ' ',  0x81, ' ',  0xA1, '5',  ' ',  '1',  '5',  'u',  0x82, ' ',  '5',  '\n',
 0xC1, '5',  ' ',  ' ',  0x81, ' ',  '5',  0x83, ' ',  '5',  ' ',  '5',  'e',  '4',  0x81, '5',  ' ',  '5',  'e',  ' ',  '5',  'u',  0x82, ' ',  '5',  '\n',
 0xC1, '5',  ' ',  ' ',  0x81, ' ',  '5',  0x83, ' ',  0xA1, '5',  ' ',  0x81, ' ',  '5',  ' ',  '5',  'e',  '<',  '5',  'u',  0x82, ' ',  '5',  '\n',
 0xC1, '5',  ' ',  ' ',  ' ',  '7',  '5',  '9',  0x82, ' ',  '5',  ' ',  '5',  '6',  0x81, 'e',  '5',  ' ',  '5',  'e',  '<',  '5',  'u',  0x82, ' ',  '5',  '\n',
 '5',  0x81, ' ',  '1',  '6',  'e',  '4',  '5',  ' ',  '5',  '6',  'e',  '4',  '3',  ' ',  '5',  0x82, '^',  '5',  ' ',  '5',  'e',  '<',  '5',  'u',  0x82, ' ',  '5',  '\n',
 '5',  0x8D, ' ',  '5',  0x82, '^',  '5',  ' ',  '5',  'e',  '<',  '5',  'u',  0x82, ' ',  '5',  '\n',
 0x81, '5',  0x81, 'e',  0x8B, '5',  0x82, '^',  0xA1, '5',  ' ',  ' ',  '5',  'u',  0x82, ' ',  '5',  '\n',
 '5',  '*',  0x8D, 'e',  0x82, '^',  '5',  ' ',  'e',  0x81, ' ',  '5',  'u',  0x81, ' ',  '*',  '5',  '\n',
 0x9D, '5',  '\n',
 'Z',  0x81, 'O',  '\n',
 'I',  0x81, 'm',  'o',  'b',  'i',  'l',  'i',  'z',  'e',  ' ',  't',  'h',  'e',  'm',  '.',  '\n',
 'V',  'e',  'r',  'y',  ' ',  'g',  0x81, 'o',  'd',  ',',  ' ',  'I',  ' ',  's',  0x81, 'e',  ' ',  'y',  'o',  'u',  ' ',  'a',  'r',  'e',  ' ',  'g',  'e',  0x81, 't',  'i',  'n',  'g',  ' ',  't',  'h',  'e',  ' ',  'h',  'a',  'n',  'g',  ' ',  'o',  'f',  ' ',  't',  'h',  'i',  's',  '.',  '\n',
 0x9D, '5',  '\n',
 '5',  ' ',  'e',  0x88, ' ',  0x81, '5',  'T',  0x81, ' ',  'b',  0x83, ' ',  'b',  ' ',  '5',  0x83, ' ',  '5',  '\n',
 '5',  ' ',  '4',  '9',  0x89, 'e',  0x86, ' ',  'b',  0x81, ' ',  'e',  ' ',  'K',  0x81, ' ',  '5',  '\n',
 '5',  0x81, ' ',  '1',  '9',  '[',  0x84, ' ',  'e',  'l',  '5',  0x85, ' ',  'b',  0x82, ' ',  '5',  0x83, ' ',  '5',  '\n',
 '5',  0x82, ' ',  '1',  0x98, '5',  '\n',
 '5',  0x83, ' ',  '5',  ' ',  'r',  0x81, 'e',  0x81, ' ',  0x81, 'd',  0x83, ' ',  's',  0x82, ' ',  0x81, 'e',  0x81, ' ',  '5',  'E',  ' ',  '5',  '\n',
 '5',  'e',  'b',  'e',  '7',  '5',  ' ',  'r',  0x81, 'u',  'e',  ' ',  0x81, 'd',  0x81, 'l',  0x81, ' ',  'e',  0x82, ' ',  'D',  0xC1, '5',  ' ',  ' ',  '5',  '\n',
 '5',  'e',  'b',  ' ',  0x81, '5',  0x81, ' ',  0x81, 'u',  0x81, ' ',  0x81, 'e',  0x83, ' ',  'e',  0x81, ' ',  '5',  'C',  '5',  ' ',  0x81, '5',  'v',  0x81, '5',  '\n',
 '5',  'e',  'b',  ' ',  0x82, '5',  'e',  0x8F, '5',  ' ',  '5',  ' ',  'e',  ' ',  '5',  '\n',
 '5',  'e',  'b',  ' ',  0x81, '5',  0x84, ' ',  '5',  '*',  0x81, 'e',  ' ',  'R',  'b',  0x81, ' ',  'R',  0x82, '5',  ' ',  '5',  ' ',  '7',  ' ',  '5',  '\n',
 '5',  'e',  'b',  ' ',  '1',  '5',  ' ',  0x83, 'b',  '5',  0x82, '*',  'e',  ' ',  '5',  0x84, ' ',  0xA2, '5',  ' ',  '5',  '\n',
 '5',  0x83, ' ',  '5',  'b',  0x83, ' ',  0x86, '5',  0x84, ' ',  0xA2, '5',  ' ',  '5',  '\n',
 '5',  ' ',  'C',  0x81, ' ',  '5',  ' ',  'b',  0x83, ' ',  '~',  'e',  0x88, ' ',  0xA2, '5',  ' ',  '5',  '\n',
 '5',  0x83, ' ',  '5',  0x86, 'b',  0x82, '5',  '6',  0x82, ' ',  '4',  0x82, '5',  0xA2, ' ',  '5',  '\n',
 0x83, '5',  'e',  '5',  0x86, ' ',  '5',  'S',  0x86, ' ',  's',  '5',  0x81, ' ',  'e',  '5',  ' ',  '5',  '\n',
 '5',  0x83, ' ',  0x92, '5',  0x81, ' ',  'e',  '5',  ' ',  '5',  '\n',
 '5',  0x81, ' ',  0x83, 'e',  0x88, ' ',  0x82, 'v',  0x82, ' ',  '5',  0x82, ' ',  'e',  '5',  ' ',  '5',  '\n',
 0x81, '5',  '9',  0x82, '<',  'e',  0x87, ' ',  0x84, 'v',  0x81, ' ',  0x85, '5',  ' ',  '5',  '\n',
 '5',  ' ',  '~',  ' ',  0x82, 'e',  0x86, ' ',  0x84, 'e',  0x81, 'v',  ' ',  'e',  0x85, ' ',  '5',  '\n',
 0x9D, '5',  '\n',
 'D',  'I',  'A',  'M',  'O',  'N',  'D',  '\n',
 'F',  'o',  0x81, 'l',  'o',  'w',  ' ',  't',  'h',  'e',  ' ',  'l',  'e',  'a',  'd',  'e',  'r',  '.',  '\n',
 'T',  'h',  'a',  't',  ' ',  'w',  'a',  's',  ' ',  'p',  'r',  'e',  0x81, 't',  'y',  ' ',  'w',  'a',  's',  'n',  '\'', 't',  ' ',  'i',  't',  '.',  '\n',
 0x9D, '5',  '\n',
 '5',  0x83, '>',  '1',  0x81, '5',  0x84, ' ',  'e',  ' ',  '1',  0x81, '5',  0x83, ' ',  '2',  0x82, ' ',  '8',  ' ',  '*',  '5',  '\n',
 '5',  ' ',  0x83, '>',  '1',  '5',  0x83, ' ',  '8',  0x82, ' ',  '1',  '5',  0x86, ' ',  '4',  '5',  0x81, ' ',  '5',  '\n',
 '5',  0x81, ' ',  0x83, '>',  '2',  0x82, ' ',  '7',  '5',  0x83, ' ',  '2',  0x83, ' ',  '9',  0x82, ' ',  '2',  0x81, ' ',  '5',  '\n',
 '5',  'K',  0x81, ' ',  0x82, 'e',  0x82, ' ',  '7',  0x81, '5',  0x84, ' ',  'e',  ' ',  '7',  0x81, '5',  0x84, ' ',  'e',  '5',  '\n',
 0x9B, '5',  'e',  '5',  '\n',
 '5',  0x81, ' ',  '5',  '*',  '5',  0x87, ' ',  'e',  0x8D, ' ',  '5',  '\n',
 '5',  0x81, ' ',  '5',  'd',  '5',  0x87, ' ',  '5',  0x85, ' ',  'v',  0x86, ' ',  '5',  '\n',
 '5',  0x81, ' ',  '5',  'e',  '5',  0x83, ' ',  0x84, '5',  0x84, ' ',  '>',  0x81, 'v',  0x85, ' ',  '5',  '\n',
 0xC1, '5',  ' ',  ' ',  0x84, ' ',  'e',  'l',  '*',  '5',  0x83, ' ',  0x81, '>',  0x82, 'v',  0x84, ' ',  '5',  '\n',
 '5',  0x89, ' ',  0x83, '5',  0x82, ' ',  0x82, '>',  0x83, 'v',  0x83, ' ',  '5',  '\n',
 '5',  0x85, ' ',  '7',  '9',  0x84, ' ',  '5',  0x81, ' ',  0x83, '>',  0x84, 'v',  0x82, ' ',  '5',  '\n',
 '5',  0x85, ' ',  '1',  '3',  0x84, ' ',  '5',  ' ',  0x84, '>',  '*',  0x84, '<',  0x81, ' ',  '5',  '\n',
 '5',  0x8C, ' ',  '5',  0x81, ' ',  0x84, '^',  0x83, '<',  0x82, ' ',  '5',  '\n',
 0x83, '5',  0x89, ' ',  '5',  0x82, ' ',  0x83, '^',  0x82, '<',  0x83, ' ',  '5',  '\n',
 '5',  '*',  'r',  'e',  0x86, ' ',  0xC1, '5',  ' ',  ' ',  0x81, ' ',  0x82, '^',  0x81, '<',  0x84, ' ',  '5',  '\n',
 0x84, '5',  0x83, ' ',  '5',  'e',  0xC1, '5',  ' ',  ' ',  0x82, ' ',  0x81, '^',  '<',  0x85, ' ',  '5',  '\n',
 '5',  0x87, ' ',  '5',  'u',  0xC1, '5',  ' ',  ' ',  0x83, ' ',  '^',  0x86, ' ',  '5',  '\n',
 '5',  0x87, ' ',  '5',  '*',  0xC1, '5',  ' ',  ' ',  0x8B, ' ',  '5',  '\n',
 0x9D, '5',  '\n',
 'C',  'O',  'U',  'N',  'T',  'E',  'R',  'S',  '\n',
 'S',  't',  'a',  'y',  ' ',  'o',  'u',  't',  ' ',  'o',  'f',  ' ',  't',  'h',  'e',  ' ',  'r',  'o',  'a',  'd',  '.',  '\n',
 'I',  'f',  ' ',  'y',  'o',  'u',  '\'', 'r',  'e',  ' ',  't',  'h',  'i',  's',  ' ',  'g',  0x81, 'o',  'd',  ' ',  '-',  ' ',  'd',  'e',  's',  'i',  'g',  'n',  ' ',  's',  'o',  'm',  'e',  ' ',  'n',  'e',  'w',  ' ',  'l',  'e',  'v',  'e',  'l',  's',  '.',  '\n',
 0x9D, '5',  '\n',
 '5',  'K',  0x82, ' ',  0x82, '5',  '3',  0x81, ' ',  '1',  0x81, '5',  '3',  ' ',  '1',  '5',  'c',  '5',  0x88, ' ',  '5',  '\n',
 '5',  0x82, ' ',  'c',  0x81, ' ',  'l',  0x89, ' ',  'u',  '1',  0x81, '5',  'e',  0x83, '5',  'e',  0x81, '5',  '\n',
 0x81, '5',  'e',  0x81, '5',  ' ',  '7',  'a',  0x81, '5',  'e',  0x83, '5',  'e',  '5',  'a',  0x87, ' ',  'c',  0x81, ' ',  '5',  '\n',
 '5',  0x82, ' ',  0xA1, '5',  ' ',  0x89, ' ',  'a',  0x81, '5',  'c',  '5',  0x81, 'l',  0x83, ' ',  '5',  '\n',
 '5',  0x82, ' ',  '5',  ' ',  'a',  0x8E, ' ',  '5',  'U',  ' ',  '5',  0x81, ' ',  '7',  '5',  '\n',
 '5',  0x82, ' ',  '5',  ' ',  '1',  '5',  'e',  0x84, '5',  'e',  0x81, '5',  ' ',  '7',  '5',  '9',  ' ',  '5',  0x81, ' ',  'e',  0x81, ' ',  0x81, '5',  '\n',
 0xE1, '5',  ' ',  ' ',  ' ',  'r',  0x86, ' ',  'a',  0xA2, ' ',  '5',  0x81, ' ',  '5',  0x81, ' ',  '1',  '5',  '\n',
 '5',  0x82, ' ',  '1',  'c',  0xE1, '5',  '5',  'e',  '5',  0xA1, '5',  ' ',  'e',  0xA1, ' ',  '5',  0x82, '5',  0x82, ' ',  '5',  '\n',
 '5',  0x8C, ' ',  0xA2, '5',  ' ',  'e',  ' ',  '1',  'c',  0x81, '5',  0x82, ' ',  '5',  '\n',
 0x83, '5',  0xC1, 'e',  '5',  '5',  '5',  'e',  0x82, '5',  0xA1, ' ',  '5',  ' ',  'a',  0x83, ' ',  '5',  0x82, ' ',  '5',  '\n',
 '5',  'c',  0x81, ' ',  'l',  0x89, ' ',  'd',  '5',  ' ',  'e',  ' ',  '1',  '5',  '9',  0x81, ' ',  '5',  0x81, ' ',  '7',  '5',  '\n',
 0x81, '5',  ' ',  '7',  '5',  'e',  0x83, '5',  'e',  0x83, '5',  'a',  0xA1, '5',  ' ',  0xC1, ' ',  ' ',  'e',  0x81, ' ',  0x81, '5',  '\n',
 0x81, '5',  ' ',  'c',  0x8D, ' ',  '5',  0x82, ' ',  0xC1, '5',  ' ',  ' ',  '1',  '5',  '\n',
 0x81, '5',  ' ',  '5',  ' ',  '4',  '5',  'e',  0x85, '5',  'e',  0x81, '5',  'a',  0x81, '5',  'e',  '5',  '3',  0x81, ' ',  '5',  0x82, ' ',  '5',  '\n',
 0x81, '5',  ' ',  '5',  0x85, ' ',  '>',  0x8C, ' ',  'c',  '5',  0x82, ' ',  '5',  '\n',
 '5',  '3',  ' ',  '1',  'c',  0x81, '5',  'e',  0x84, '5',  'e',  0x84, '5',  'e',  0x81, '5',  0x81, ' ',  'R',  'u',  ' ',  'v',  ' ',  '5',  '\n',
 '5',  0x82, ' ',  'r',  0x8A, ' ',  'r',  0x88, ' ',  'c',  '5',  ' ',  '5',  '\n',
 0x81, '5',  'c',  0x84, '5',  '9',  0x82, ' ',  '7',  0x85, '5',  '9',  0x82, ' ',  '7',  0x83, '5',  '*',  '5',  '\n',
 0x9D, '5',  '\n',
 'B',  'L',  'O',  'C',  'K',  'S',  '\n',
 'D',  'o',  'n',  '\'', 't',  ' ',  'd',  'r',  'o',  'p',  ' ',  'a',  'n',  'y',  '.',  '\n',
 'H',  'o',  ' ',  'h',  'u',  'm',  ',',  ' ',  'n',  'o',  'w',  ' ',  'f',  'o',  'r',  ' ',  's',  'o',  'm',  'e',  ' ',  'w',  'o',  'r',  'k',  '.',  '\n',
 0x9D, '5',  '\n',
 '5',  0x82, '>',  'B',  0x84, ' ',  '5',  'K',  0x84, ' ',  0x82, 'v',  0x88, ' ',  '5',  '\n',
 '5',  ' ',  0x81, '>',  'B',  0x84, ' ',  '5',  0x84, ' ',  0x84, 'v',  0x82, ' ',  's',  0x81, ' ',  'S',  ' ',  '5',  '\n',
 '5',  0x81, ' ',  'e',  0x84, ' ',  '*',  '5',  0x83, ' ',  0x86, 'v',  0x86, ' ',  '5',  '\n',
 '5',  'e',  0x88, '5',  0x83, ' ',  'b',  0x81, 'v',  '*',  0x81, 'v',  'b',  0x86, ' ',  '5',  '\n',
 '5',  ' ',  0x82, 'v',  0x84, ' ',  '5',  0x83, ' ',  'b',  0x84, 'v',  'b',  0x86, ' ',  '5',  '\n',
 '5',  0x84, 'v',  0x83, ' ',  '5',  0x83, ' ',  0x86, 'b',  0x86, ' ',  '5',  '\n',
 '5',  0x85, 'v',  0x82, ' ',  '5',  0x91, ' ',  '5',  '\n',
 '5',  0x88, 'B',  '5',  0x88, ' ',  'R',  0x87, ' ',  '5',  '\n',
 '5',  0x88, ' ',  0x85, '5',  '9',  0x82, ' ',  '7',  0x88, '5',  '\n',
 '5',  ' ',  0x83, '5',  '9',  0x82, ' ',  '5',  0x85, ' ',  '9',  ' ',  '7',  0x88, ' ',  '5',  '\n',
 '5',  0x84, ' ',  '1',  0x83, '5',  0x85, ' ',  '5',  'e',  0x81, ' ',  '8',  0x86, ' ',  '5',  '\n',
 0x83, '5',  '9',  0x89, ' ',  'b',  ' ',  '1',  0x82, '5',  '3',  0x81, ' ',  '3',  0x84, '5',  '\n',
 '5',  0x82, ' ',  '1',  '5',  '9',  0x87, ' ',  'b',  0x86, ' ',  '3',  0x83, '<',  ' ',  '5',  '\n',
 '5',  0x85, ' ',  '9',  0x86, ' ',  'b',  0x85, ' ',  '3',  0x84, '<',  ' ',  '5',  '\n',
 '5',  0x86, ' ',  '9',  0x8B, ' ',  '3',  0x85, '<',  ' ',  '5',  '\n',
 '5',  0x87, ' ',  '9',  0x89, ' ',  'e',  0x86, '<',  ' ',  '5',  '\n',
 '5',  0x93, ' ',  '9',  0x85, '<',  ' ',  '5',  '\n',
 '5',  0x87, ' ',  '3',  0x8B, ' ',  '9',  0x84, '<',  '*',  '5',  '\n',
 0x9D, '5',  '\n',
 'C',  'I',  'R',  'C',  'U',  'S',  '\n',
 'D',  'o',  ' ',  's',  'o',  'm',  'e',  't',  'h',  'i',  'n',  'g',  ' ',  'f',  'i',  'r',  's',  't',  '.',  '\n',
 'N',  'o',  'w',  ' ',  't',  'h',  'e',  'y',  ' ',  's',  't',  'a',  'r',  't',  ' ',  't',  'o',  ' ',  'g',  'e',  't',  ' ',  't',  'r',  'i',  'c',  'k',  'y',  '.',  '\n',
 0x9D, '5',  '\n',
 '5',  ' ',  '5',  '*',  0x82, '5',  0x81, 'e',  'd',  0x85, ' ',  '5',  0x83, ' ',  '5',  0x86, ' ',  '5',  '\n',
 '5',  ' ',  '5',  'v',  '5',  'S',  0x81, 'e',  'u',  'd',  0x85, ' ',  '5',  0x83, 'v',  '5',  0x81, ' ',  'r',  0x81, 'd',  0x81, ' ',  '5',  '\n',
 0xA1, '5',  'v',  '5',  0x82, 'b',  'u',  'e',  0x85, ' ',  '5',  0x83, 'v',  '5',  0x81, ' ',  'r',  '*',  'l',  0x81, ' ',  '5',  '\n',
 '5',  'v',  '2',  'e',  '5',  0x8B, ' ',  0x83, 'e',  'b',  0x81, ' ',  0x81, 'u',  'l',  0x81, ' ',  '5',  '\n',
 '5',  0x81, 'e',  ' ',  '5',  0x8B, ' ',  '7',  0x8B, '5',  '\n',
 '5',  0x82, ' ',  '1',  0x89, '5',  '9',  0x88, ' ',  '5',  0x82, ' ',  '5',  '\n',
 '5',  0x85, ' ',  '^',  0x85, ' ',  'L',  '5',  0x83, ' ',  'K',  0x83, ' ',  '5',  0x82, ' ',  '5',  '\n',
 0x82, '5',  '9',  0x83, ' ',  '7',  0x82, '5',  '9',  ' ',  'v',  '1',  0x81, '5',  '9',  0x85, ' ',  'b',  0x82, ' ',  '5',  '\n',
 '5',  ' ',  0x8A, '5',  0x81, 'e',  0x82, ' ',  '5',  '9',  0x84, ' ',  'b',  ' ',  'C',  ' ',  '5',  '\n',
 '5',  0x8A, ' ',  '5',  '9',  'e',  0x82, ' ',  'e',  '5',  'D',  0x83, ' ',  'b',  0x82, ' ',  '5',  '\n',
 '5',  0x8B, ' ',  0x81, '5',  '6',  ' ',  '4',  '5',  '3',  0x84, ' ',  '5',  0x82, ' ',  '5',  '\n',
 '5',  0x83, ' ',  '4',  '5',  'e',  '9',  0x8F, ' ',  '5',  0x81, ' ',  '*',  '5',  '\n',
 '5',  0x81, ' ',  '8',  ' ',  'e',  '>',  '^',  '1',  0x81, '5',  0x82, ' ',  0x84, '5',  0x81, ' ',  '7',  0x87, '5',  '\n',
 0xC1, '5',  ' ',  ' ',  'e',  '<',  ' ',  '*',  '5',  0x82, ' ',  '5',  'd',  'e',  '*',  '5',  0x83, ' ',  0xA2, 'e',  'v',  '5',  '\n',
 '5',  0x81, ' ',  '1',  0x86, '5',  0x82, ' ',  0x81, 'e',  0x82, '5',  0x81, ' ',  '5',  '>',  0x84, 'e',  '<',  '5',  '\n',
 '5',  0x88, ' ',  '5',  0x89, ' ',  '5',  'e',  '^',  ' ',  0xA1, '^',  'e',  '5',  '\n',
 0x81, '5',  0x81, 'b',  0x86, '5',  's',  0x85, '5',  0x82, 'e',  0x86, '5',  ' ',  '5',  '\n',
 '5',  '*',  0x88, ' ',  0x83, 'l',  0x8B, ' ',  '>',  '*',  '5',  '\n',
 0x9D, '5',  '\n',
 'G',  'A',  0x81, 'L',  'E',  'R',  'Y',  '\n',
 'G',  0x81, 'o',  'd',  ' ',  's',  'h',  0x81, 'o',  't',  'i',  'n',  'g',  '\n',
 'N',  'o',  't',  ' ',  'b',  'a',  'd',  ' ',  'f',  'o',  'r',  ' ',  'a',  ' ',  'b',  'e',  'g',  'i',  0x81, 'n',  'e',  'r',  '!',  '\n',
 0x9D, '5',  '\n',
 '5',  0x86, ' ',  'a',  0x81, ' ',  'c',  0x81, ' ',  'a',  0x81, ' ',  'c',  0x81, ' ',  'a',  0x81, ' ',  'c',  0x81, ' ',  'a',  0x81, ' ',  '5',  '\n',
 '5',  'c',  0x99, ' ',  'a',  '5',  '\n',
 '5',  '*',  ' ',  '8',  0x95, ' ',  '8',  ' ',  '*',  '5',  '\n',
 0x81, '5',  ' ',  '5',  0x95, ' ',  '5',  ' ',  0x81, '5',  '\n',
 0x81, '5',  '~',  '5',  0x95, ' ',  '5',  'C',  0x81, '5',  '\n',
 0x83, '5',  0x95, ' ',  0x83, '5',  '\n',
 '5',  'K',  0x81, ' ',  'a',  0x97, ' ',  '5',  '\n',
 '5',  0x82, ' ',  'c',  0x97, ' ',  '5',  '\n',
 '5',  0x82, ' ',  'a',  0x97, ' ',  '5',  '\n',
 '5',  0x82, ' ',  'c',  0x97, ' ',  '5',  '\n',
 '5',  0x82, ' ',  'a',  0x97, ' ',  '5',  '\n',
 '5',  0x81, ' ',  'r',  'e',  0x97, ' ',  '5',  '\n',
 '5',  0x81, ' ',  'e',  'l',  0x97, ' ',  '5',  '\n',
 '5',  0x81, ' ',  'r',  'e',  0x97, ' ',  '5',  '\n',
 '5',  0x81, ' ',  'e',  'l',  0x97, ' ',  '5',  '\n',
 '5',  0x81, ' ',  'r',  'e',  0x97, ' ',  '5',  '\n',
 '5',  0x81, ' ',  'e',  'l',  0x97, ' ',  '5',  '\n',
 '5',  0x81, ' ',  'r',  'e',  0x97, ' ',  '5',  '\n',
 0x9D, '5',  '\n',
 'T',  'R',  'A',  0x81, 'P',  'E',  'R',  '\n',
 'B',  'u',  'i',  'l',  'd',  ' ',  'a',  ' ',  't',  'r',  'a',  'p',  '.',  '\n',
 'I',  ' ',  'h',  'o',  'p',  'e',  ' ',  'y',  'o',  'u',  ' ',  'd',  'i',  'd',  'n',  '\'', 't',  ' ',  'j',  'u',  's',  't',  ' ',  'o',  'u',  't',  'r',  'u',  'n',  ' ',  '\'', 'e',  'm',  '.',  '\n',
 0x9D, '5',  '\n',
 '5',  'K',  0x8F, ' ',  'b',  0x88, ' ',  '*',  '5',  '\n',
 '5',  ' ',  'b',  0x81, ' ',  0x81, 'b',  ' ',  'R',  0x81, 'b',  0x86, ' ',  'B',  0x89, ' ',  '5',  '\n',
 '5',  ' ',  'b',  0x8E, ' ',  'b',  0x83, ' ',  'T',  0x84, ' ',  '5',  '\n',
 '5',  ' ',  'b',  0x8E, ' ',  'B',  0x89, ' ',  '5',  '\n',
 '5',  ' ',  'b',  0x8E, ' ',  'b',  0x83, ' ',  'E',  0x83, ' ',  '*',  '5',  '\n',
 '5',  ' ',  'b',  0x8E, ' ',  'B',  0x89, ' ',  '5',  '\n',
 '5',  ' ',  'b',  0x8E, ' ',  'b',  0x83, ' ',  'C',  0x84, ' ',  '5',  '\n',
 '5',  ' ',  'c',  0x8E, ' ',  'B',  0x89, ' ',  '5',  '\n',
 '5',  ' ',  'a',  0x8E, ' ',  'b',  0x83, ' ',  '[',  0x83, ' ',  '*',  '5',  '\n',
 '5',  ' ',  'c',  0x8E, ' ',  'B',  0x89, ' ',  '5',  '\n',
 '5',  ' ',  'a',  0x8E, ' ',  'b',  0x89, ' ',  '5',  '\n',
 '5',  0x84, ' ',  'b',  0x82, ' ',  'e',  'd',  0x85, ' ',  'B',  0x89, ' ',  '5',  '\n',
 '5',  0x84, ' ',  'b',  0x82, ' ',  'u',  'e',  0x85, ' ',  'b',  0x89, ' ',  '5',  '\n',
 '5',  ' ',  'B',  0x8E, ' ',  'B',  0x88, ' ',  '*',  '5',  '\n',
 '5',  ' ',  'B',  0x82, ' ',  'U',  0x82, ' ',  'e',  'l',  0x85, ' ',  'b',  0x89, ' ',  '5',  '\n',
 '5',  ' ',  'B',  0x82, ' ',  'b',  0x82, ' ',  'r',  'e',  0x85, ' ',  'B',  0x89, ' ',  '5',  '\n',
 '5',  ' ',  'B',  0x82, ' ',  'b',  0x8A, ' ',  'b',  0x89, ' ',  '5',  '\n',
 '5',  0x90, ' ',  'B',  0x88, ' ',  '*',  '5',  '\n',
 0x9D, '5',  '\n',
 'P',  'I',  'N',  'T',  'P',  'O',  'T',  '\n',
 'B',  'l',  'a',  'c',  'k',  ' ',  'i',  's',  ' ',  'g',  0x81, 'o',  'd',  '.',  '\n',
 'F',  'u',  'n',  ' ',  'b',  'u',  't',  ' ',  'e',  'a',  's',  'y',  '.',  '\n',
 0x9D, '5',  '\n',
 '5',  'K',  0x8C, ' ',  '5',  0x8C, ' ',  '5',  '\n',
 '5',  ' ',  '7',  0x89, '5',  '9',  ' ',  '5',  0x81, ' ',  0x87, 'b',  0x82, ' ',  '5',  '\n',
 '5',  ' ',  '5',  0x89, 'F',  0xA1, '5',  ' ',  ' ',  'b',  'C',  0x88, ' ',  '5',  '\n',
 '5',  ' ',  '*',  0x89, ' ',  '*',  ' ',  '5',  0x81, ' ',  'b',  'C',  0x88, ' ',  '5',  '\n',
 '5',  ' ',  '*',  0x89, ' ',  '*',  ' ',  '5',  0x81, ' ',  'b',  0x89, ' ',  '5',  '\n',
 '5',  ' ',  '*',  0x89, ' ',  '*',  ' ',  '5',  0x81, ' ',  'b',  0x89, ' ',  '5',  '\n',
 '5',  ' ',  '*',  0x89, ' ',  '*',  ' ',  '5',  0x81, ' ',  'b',  0x83, '*',  0x85, ' ',  '5',  '\n',
 0xA1, '5',  ' ',  0x88, ' ',  0xA1, '5',  ' ',  ' ',  'b',  'H',  0x88, ' ',  '5',  '\n',
 0xA1, '5',  ' ',  0x88, ' ',  0xA1, '5',  ' ',  ' ',  'b',  0x83, '*',  0x85, ' ',  '5',  '\n',
 '5',  0x81, ' ',  '9',  0x87, ' ',  '7',  0x81, ' ',  '5',  0x81, ' ',  'b',  0x89, ' ',  '5',  '\n',
 '5',  0x82, ' ',  '9',  0x85, ' ',  '7',  0x82, ' ',  '5',  0x81, ' ',  'b',  0x89, ' ',  '5',  '\n',
 '5',  0x83, ' ',  '9',  0x83, ' ',  '7',  0x83, ' ',  '5',  0x81, ' ',  'b',  0x89, ' ',  '5',  '\n',
 '5',  0x84, ' ',  0x83, 'H',  0x84, ' ',  '5',  0x81, ' ',  'b',  0x89, ' ',  '5',  '\n',
 '5',  0x8D, ' ',  '5',  0x81, ' ',  'b',  'C',  0x88, ' ',  '5',  '\n',
 '5',  0xA3, 'e',  'd',  'd',  0x81, 'e',  0x81, 'd',  'e',  'f',  0x81, ' ',  'b',  'C',  0x88, ' ',  '5',  '\n',
 '5',  0x81, 'e',  0x86, 'd',  'e',  0x83, 'd',  '5',  0x81, ' ',  'b',  'C',  0x88, ' ',  '5',  '\n',
 '5',  'd',  ' ',  0xC1, '*',  '*',  'd',  0xA1, '*',  'd',  'd',  '*',  '5',  0x81, ' ',  0x87, 'b',  0x82, ' ',  '5',  '\n',
 '5',  0x81, '*',  'd',  ' ',  0x81, '*',  0xA2, ' ',  '*',  '*',  ' ',  '5',  0x8C, ' ',  '5',  '\n',
 0x9D, '5',  '\n',
 'G',  'E',  'T',  'O',  'U',  'T',  '\n',
 'P',  'a',  't',  'i',  'e',  'n',  'c',  'e',  '\n',
 'P',  'i',  'e',  'c',  'e',  ' ',  'o',  'f',  ' ',  'c',  'a',  'k',  'e',  '!',  '\n',
 0x9D, '5',  '\n',
 '5',  0x96, ' ',  'B',  ' ',  'E',  'B',  ' ',  '5',  '\n',
 '5',  0x82, ' ',  'e',  0x92, ' ',  'B',  0x83, ' ',  '5',  '\n',
 '5',  0x81, ' ',  '6',  '^',  '4',  ' ',  'a',  0x8F, ' ',  'B',  0x83, ' ',  '5',  '\n',
 0x81, '5',  '3',  0x82, '^',  '1',  0x90, ' ',  'B',  0x82, ' ',  '*',  '5',  '\n',
 '5',  '3',  0x84, '^',  '1',  0x8B, '5',  '9',  0x81, ' ',  '4',  0x85, '5',  '\n',
 '5',  0x86, '^',  '1',  0x82, ' ',  's',  0x81, ' ',  '5',  0x83, '>',  '5',  0x83, ' ',  0x81, 'e',  'T',  ' ',  '5',  '\n',
 '5',  0x83, '^',  '*',  0x82, '^',  '5',  0x84, ' ',  '5',  0x83, '>',  '2',  0x83, ' ',  'e',  '*',  0x81, ' ',  '5',  '\n',
 0x8A, '5',  '6',  0x82, ' ',  '5',  0x83, '>',  'e',  0x83, ' ',  'a',  'e',  0x81, ' ',  '5',  '\n',
 '5',  ' ',  '2',  0x85, ' ',  0x82, 'c',  0x82, ' ',  '5',  0x82, '>',  '7',  '9',  0x81, ' ',  '8',  ' ',  '7',  '9',  ' ',  '7',  '5',  '\n',
 '5',  'c',  0x8C, ' ',  0x84, '5',  '3',  0x81, ' ',  0xC1, '5',  ' ',  '5',  '5',  '\n',
 '5',  0x81, ' ',  '*',  'a',  '8',  0x88, ' ',  '5',  0x86, ' ',  0xC1, '5',  ' ',  '5',  '5',  '\n',
 '5',  0x81, '>',  '*',  'a',  '5',  0x88, ' ',  '5',  0x86, ' ',  0xC1, '5',  ' ',  '5',  '5',  '\n',
 '5',  '>',  0x81, '*',  'a',  '5',  ' ',  'K',  0x84, ' ',  '8',  ' ',  '5',  0x86, ' ',  0xC1, '5',  ' ',  '5',  '5',  '\n',
 '5',  '>',  '*',  '4',  '5',  '3',  0x86, ' ',  0xA1, '5',  ' ',  0x85, ' ',  0xC1, '5',  ' ',  '5',  '5',  '\n',
 '5',  '>',  '*',  'a',  '5',  0x87, ' ',  '5',  ' ',  '2',  0x86, ' ',  0xC1, '5',  ' ',  '5',  '5',  '\n',
 '5',  '>',  '*',  'a',  0x84, '5',  '6',  0x82, ' ',  '5',  0x88, ' ',  '5',  ' ',  '1',  '3',  ' ',  '1',  '5',  '\n',
 '5',  '>',  '*',  'c',  0x88, ' ',  '5',  ' ',  '8',  0x86, ' ',  '5',  0x83, ' ',  'c',  '5',  '\n',
 '5',  0x82, 'c',  '7',  0x8A, '5',  0x86, ' ',  '5',  0x81, 'c',  0x81, ' ',  'c',  '5',  '\n',
 0x9D, '5',  '\n',
 'F',  'A',  0x81, 'L',  'I',  'N',  '\n',
 'Y',  'o',  'u',  '\'', 'r',  'e',  ' ',  'o',  'n',  ' ',  'y',  'o',  'u',  'r',  ' ',  'o',  'w',  'n',  '.',  '\n',
 'S',  'h',  'o',  'u',  'l',  'd',  ' ',  'y',  'o',  'u',  ' ',  'b',  'e',  ' ',  'w',  'o',  'r',  'k',  'i',  'n',  'g',  '?',  '\n',
 0x9D, '5',  '\n',
 '5',  0x85, ' ',  'f',  0x81, ' ',  '5',  '*',  'e',  '5',  '>',  'e',  0x81, ' ',  'e',  ' ',  '>',  'e',  0x81, ' ',  'e',  ' ',  '>',  'e',  '*',  '5',  '\n',
 0x83, '5',  'h',  '5',  ' ',  '8',  0x81, ' ',  '5',  'e',  'v',  '5',  ' ',  'e',  ' ',  '>',  'e',  0x81, ' ',  'e',  ' ',  '>',  'e',  0x81, ' ',  'e',  '*',  '5',  '\n',
 '5',  0x81, ' ',  0xA2, '5',  ' ',  ' ',  '1',  '9',  'e',  '5',  ' ',  0x8E, '5',  '\n',
 '5',  ' ',  'C',  0xA1, '5',  ' ',  'H',  'T',  ' ',  '*',  0xA1, '5',  ' ',  0x8C, ' ',  'K',  '5',  '\n',
 '5',  ' ',  0x81, '5',  'i',  '5',  ' ',  '1',  0x82, '5',  '3',  ' ',  '5',  0x8E, ' ',  '5',  '\n',
 0xA1, '5',  ' ',  0xA1, ' ',  'f',  0x84, ' ',  '5',  0x86, ' ',  0x82, 'v',  0x84, ' ',  '5',  '\n',
 '5',  'i',  '5',  0x81, ' ',  '7',  'h',  '9',  0x84, ' ',  'f',  0x85, ' ',  'v',  0x82, 'd',  'v',  0x83, ' ',  '5',  '\n',
 0xA1, '5',  ' ',  '7',  '5',  ' ',  0x83, '5',  'i',  0x82, '5',  0x84, ' ',  'd',  0x82, '}',  'd',  0x83, ' ',  '5',  '\n',
 0xE1, '5',  ' ',  ' ',  ' ',  0x81, ' ',  '5',  ' ',  '5',  '*',  '5',  0x82, ' ',  '>',  'r',  0x84, '*',  'l',  '<',  0x81, ' ',  '5',  '\n',
 '5',  '9',  'i',  '5',  ' ',  0x82, '5',  '6',  0xA2, ' ',  '5',  '5',  ' ',  '>',  'r',  '}',  0x84, '*',  '}',  'l',  '<',  ' ',  '5',  '\n',
 '5',  '3',  0xA1, ' ',  '5',  0x83, ' ',  0xA1, '5',  ' ',  ' ',  '5',  ' ',  '>',  'r',  '}',  0x84, '*',  '}',  'l',  '<',  ' ',  '5',  '\n',
 '5',  0x81, ' ',  0xA1, '5',  ' ',  0x83, '5',  ' ',  '1',  '6',  ' ',  '5',  ' ',  '>',  'r',  '}',  0x84, '*',  '}',  'l',  '<',  ' ',  '5',  '\n',
 '5',  '9',  0xA2, ' ',  '5',  0x86, ' ',  '5',  0x81, ' ',  '>',  'r',  0x84, '*',  'l',  '<',  0x81, ' ',  '5',  '\n',
 0x81, '5',  ' ',  '5',  0x82, ' ',  '5',  '*',  0x84, '5',  ' ',  '5',  0x8C, ' ',  '5',  '\n',
 0x81, '5',  0x81, ' ',  0x81, '5',  'i',  0x84, '5',  0xA1, ' ',  '5',  0x83, ' ',  0x84, '}',  0x83, ' ',  '5',  '\n',
 0x81, '5',  0x8A, ' ',  '5',  ' ',  'g',  0x83, ' ',  0x84, 'u',  ' ',  '7',  0x82, '5',  '\n',
 '5',  '3',  'i',  0x86, '5',  'h',  0xC1, '5',  '5',  ' ',  0x82, ' ',  0x84, '^',  ' ',  '5',  0x81, 'e',  '5',  '\n',
 '5',  0x8C, ' ',  'g',  0x8A, ' ',  'e',  '*',  '<',  '5',  '\n',
 0x9D, '5',  '\n',
 'A',  'D',  0x81, 'O',  'R',  'A',  'B',  'L',  'E',  '\n',
 'D',  'o',  'n',  '\'', 't',  ' ',  'b',  'e',  ' ',  'a',  'f',  'r',  'a',  'i',  'd',  '.',  '\n',
 'D',  'a',  'r',  'n',  ' ',  'd',  0x81, 'o',  'r',  's',  '!',  '\n',
 0x9D, '5',  '\n',
 '5',  '*',  '5',  0x88, ' ',  'R',  '*',  'H',  '*',  'F',  '*',  0x83, ' ',  '1',  0x81, '5',  '3',  0x81, ' ',  'K',  '5',  '\n',
 0xA1, '5',  ' ',  0x81, ' ',  'e',  0x82, ' ',  0x82, '5',  '3',  'F',  0x81, '*',  0x8B, ' ',  '5',  '\n',
 '5',  ' ',  0x83, '5',  0x83, 'e',  '5',  0x82, ' ',  '*',  0x8D, ' ',  '5',  '\n',
 '5',  'E',  'B',  0x81, 'e',  0x84, ' ',  '5',  0x86, ' ',  '5',  ' ',  0x82, '5',  's',  ' ',  0x81, '5',  0x81, ' ',  '5',  '\n',
 0x85, '5',  0x83, ' ',  '5',  0x86, ' ',  '5',  0x81, ' ',  '5',  ' ',  'b',  'l',  ' ',  '5',  0x81, ' ',  '5',  '\n',
 '5',  'S',  0x81, ' ',  'r',  '*',  '<',  0x82, ' ',  '5',  0x86, ' ',  '1',  0xA1, '5',  ' ',  0x82, ' ',  'B',  0x81, ' ',  '5',  '\n',
 0x84, '5',  '6',  ' ',  '8',  0x81, ' ',  '5',  0x87, ' ',  0xA1, '5',  ' ',  0x82, ' ',  'B',  0x81, ' ',  '5',  '\n',
 '5',  0x85, ' ',  0x82, '5',  '3',  0x87, ' ',  '5',  'd',  '5',  0x82, ' ',  'C',  '5',  0x81, ' ',  '5',  '\n',
 '5',  0x81, ' ',  '7',  '6',  0x81, ' ',  0xA1, '2',  ' ',  0x87, ' ',  'S',  'd',  0x84, '5',  '3',  0x81, ' ',  '5',  '\n',
 '5',  '*',  '7',  '3',  0x86, ' ',  '8',  0x81, ' ',  0x82, 'B',  0x81, ' ',  0xA1, '5',  ' ',  0x85, ' ',  '5',  '\n',
 0x81, '5',  '3',  ' ',  'e',  ' ',  '~',  ' ',  'e',  ' ',  '4',  '5',  0x81, ' ',  'B',  '[',  'B',  0x81, ' ',  '5',  ' ',  '5',  'i',  0xA1, '8',  'h',  '8',  'i',  '5',  '\n',
 0x81, '5',  0x82, ' ',  '*',  's',  '*',  0x82, ' ',  '5',  0x81, ' ',  'B',  '*',  'B',  0x81, ' ',  '5',  ' ',  0xA2, '5',  'h',  '5',  'i',  '5',  '\n',
 0x81, '5',  'e',  ' ',  'E',  'S',  'C',  'S',  '[',  ' ',  'e',  '5',  0x81, ' ',  'B',  '*',  'B',  0x81, ' ',  'a',  ' ',  '5',  'i',  '5',  'h',  0xA1, '5',  'i',  '5',  '\n',
 0x81, '5',  0x82, ' ',  '*',  's',  '*',  0x82, ' ',  '5',  0x81, ' ',  0x82, 'B',  0x81, ' ',  'a',  ' ',  '5',  'i',  0xA1, '2',  'h',  '2',  'i',  '5',  '\n',
 0x81, '5',  '9',  ' ',  'e',  ' ',  'T',  ' ',  'e',  ' ',  '7',  '3',  0x86, ' ',  0xA1, '5',  ' ',  0x85, ' ',  '5',  '\n',
 '5',  ' ',  '5',  '9',  0x84, ' ',  '7',  '3',  0x87, ' ',  0xA1, '5',  ' ',  0x81, ' ',  'v',  0x82, ' ',  '5',  '\n',
 '5',  0x81, ' ',  '5',  '9',  ' ',  'e',  ' ',  '7',  '3',  0x88, ' ',  0xA1, '5',  ' ',  'v',  '>',  '*',  '<',  'v',  ' ',  '5',  '\n',
 '5',  0x82, ' ',  0x84, '5',  0x89, ' ',  '5',  '*',  '5',  'e',  '^',  0x82, '*',  '^',  'e',  '5',  '\n',
 0x9D, '5',  '\n',
 'R',  'O',  'C',  'K',  'Y',  'V',  '\n',
 'I',  'f',  ' ',  'a',  't',  ' ',  'f',  'i',  'r',  's',  't',  ' ',  'y',  'o',  'u',  ' ',  'd',  'o',  'n',  '\'', 't',  ' ',  0x82, '.',  '\n',
 'W',  'o',  'w',  0x81, 'e',  '\n',
 '7',  0x9B, '5',  '9',  '\n',
 '5',  'c',  0x88, ' ',  'w',  0x8C, '<',  'c',  '1',  '5',  '*',  '5',  '\n',
 '5',  0x81, ' ',  '4',  0x84, '5',  '9',  0x81, ' ',  'w',  0x83, '<',  '7',  'a',  0x83, '5',  '9',  '<',  '^',  'a',  '5',  ' ',  '5',  '\n',
 '5',  ' ',  'v',  ' ',  '5',  0x81, 'e',  'H',  ' ',  '1',  '5',  '6',  'i',  '7',  0x83, '5',  '^',  'e',  '>',  'e',  'v',  '2',  'v',  '^',  'a',  '5',  ' ',  '5',  '\n',
 '5',  0x82, 'v',  '2',  'K',  'B',  'H',  '*',  'v',  ' ',  '*',  ' ',  '5',  ' ',  '*',  'v',  '5',  'e',  '8',  '*',  0xA1, '>',  'e',  '^',  'a',  '5',  ' ',  '5',  '\n',
 '5',  0x82, 'v',  '>',  '}',  ' ',  0x81, 'e',  0x81, ' ',  '}',  ' ',  '5',  'v',  'e',  'L',  '5',  '^',  '5',  'C',  'b',  '>',  'e',  'v',  '^',  'a',  '5',  ' ',  '5',  '\n',
 '5',  0x82, 'c',  '5',  '9',  0x81, ' ',  '^',  's',  0x81, '^',  ' ',  '5',  '*',  'e',  ' ',  '5',  '*',  '5',  0x81, ' ',  'c',  '>',  'e',  '^',  'a',  '5',  ' ',  '5',  '\n',
 0x8D, '5',  '9',  ' ',  '7',  0x86, '5',  '9',  '^',  '4',  '3',  ' ',  '5',  '\n',
 '5',  'C',  0x81, ' ',  '5',  ' ',  'H',  0x81, ' ',  'B',  '*',  'B',  ' ',  '1',  '3',  ' ',  '1',  0x81, ' ',  '1',  '3',  ' ',  '*',  0x81, '5',  '^',  0x82, ' ',  '5',  '\n',
 '5',  0x82, ' ',  '5',  ' ',  'f',  0xA1, ' ',  'B',  0xC1, ' ',  ' ',  'f',  0x81, ' ',  '>',  '*',  ' ',  '*',  0x81, '5',  0x82, ' ',  'c',  '5',  '\n',
 0x81, '5',  '9',  ' ',  '5',  ' ',  'H',  'B',  0x82, ' ',  'B',  ' ',  '7',  '9',  ' ',  '7',  '>',  '*',  0x81, ' ',  '8',  '*',  0x81, '5',  'c',  ' ',  '7',  0x81, '5',  '\n',
 0x82, '5',  ' ',  '5',  ' ',  '7',  0x86, '5',  '3',  ' ',  '1',  0x87, '5',  '6',  ' ',  0x82, '5',  '\n',
 0x82, '5',  0xA1, ' ',  '5',  '3',  ' ',  '*',  0x81, 'e',  'c',  '5',  ' ',  'e',  '*',  0x82, '5',  '3',  'c',  0x81, '5',  '3',  0x81, ' ',  '3',  '<',  '5',  '\n',
 0x81, '5',  '3',  0xA1, ' ',  '5',  0x81, ' ',  '*',  0x81, 'e',  ' ',  '5',  'R',  'e',  '^',  '5',  'c',  0x82, ' ',  '5',  '3',  0x81, ' ',  '3',  0x81, '<',  '5',  '\n',
 0x81, '5',  0x81, ' ',  '5',  'e',  '2',  ' ',  '4',  0x81, '5',  '6',  ' ',  '5',  '^',  '*',  ' ',  '5',  0x81, ' ',  '8',  ' ',  '5',  'c',  ' ',  '2',  0x82, '<',  '5',  '\n',
 '5',  '3',  ' ',  '4',  '3',  0x82, ' ',  'c',  '1',  '5',  'a',  ' ',  0x84, '5',  0x81, ' ',  '5',  ' ',  '5',  'c',  '*',  0x83, '<',  '5',  '\n',
 '5',  'a',  0x83, ' ',  'v',  0x81, ' ',  'c',  '5',  'a',  ' ',  '1',  0x82, '5',  '3',  ' ',  '7',  '3',  ' ',  '2',  'c',  ' ',  '8',  0x82, '<',  '5',  '\n',
 '5',  '9',  0x83, ' ',  'e',  0x81, ' ',  'c',  '5',  'a',  0x86, ' ',  '5',  'a',  0x83, ' ',  '5',  '9',  0x81, '<',  '5',  '\n',
 0x83, '5',  '9',  0x81, 'c',  '7',  '9',  'c',  '5',  'a',  0x84, ' ',  '8',  'a',  0x83, '5',  '9',  'a',  0x81, '5',  '9',  '<',  '5',  '\n',
 '1',  0x9B, '5',  '3',  '\n'

/*End of 5859 bytes*/
};

