/*
** timer.h
**
** Creates a timer which pushes 'event's when it's time is over.
*/


#if !defined(TIMER_H)
#define TIMER_H

#define TIMER_CODE 255


/*Timer_Set(int msec)
**Sets a timer which will push an event of type SDL_USEREVENT
**with event code TIMER_CODE after every msec millisecond.
**If msec is 0, then clears the timer.*/
sadint Timer_Set(adint msec);
/*Get current interval (0 if no timer)*/
adint Timer_Get();
/*Get current time in ticks, optionally alter it with the given signed
**value before getting (0: do not do anything)*/
adint Timer_Time(sadint change);
/*Reset the current time to 0*/
void Timer_Reset();

#endif
